package com.sensu.automall.fragment

import android.os.Bundle
import android.support.v4.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.sensu.automall.BaseFragment
import com.sensu.automall.R
import com.sensu.automall.adapter.OrderDeliveryViewPagerAdapter
import kotlinx.android.synthetic.main.fragment_delivery_by_order.*

class DeliveryOrderFragment : BaseFragment(){

    private lateinit var rootView:View
    private lateinit var fragmentList : List<Fragment>
    private lateinit var viewPagerAdapter: OrderDeliveryViewPagerAdapter

    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        super.onCreateView(inflater, container, savedInstanceState)
        rootView = inflater.inflate(R.layout.fragment_delivery_order_info, container, false)
        return rootView
    }

    fun initView(){
        orderTabLayout.setupWithViewPager(orderViewPager,false)
        fragmentList = listOf<Fragment>(ToBeQuotePriceFragment(), QuotePriceedFragment())
        viewPagerAdapter = OrderDeliveryViewPagerAdapter(requireFragmentManager(), fragmentList)
        orderViewPager.adapter = viewPagerAdapter
    }


}
