package com.sensu.automall.activity_search

import android.annotation.SuppressLint
import android.content.Context
import android.content.Intent
import android.graphics.Paint
import android.os.Build
import android.os.Bundle
import android.os.Message
import android.support.v7.widget.LinearLayoutManager
import android.support.v7.widget.RecyclerView
import android.text.Editable
import android.text.Html
import android.text.TextUtils
import android.text.TextWatcher
import android.view.View
import android.view.ViewGroup
import android.widget.*
import com.alibaba.fastjson.JSON
import com.annotation.IRouter
import com.annotation.PointBury
import com.componentservice.LoginInterceptor
import com.google.gson.Gson
import com.jaeger.library.StatusBarUtil
import com.qipeilong.base.commonadapter.rv.CommonAdapter
import com.qipeilong.base.commonadapter.rv.base.ViewHolder
import com.qipeilong.base.commonadapter.viewgroupadapter.VGUtil
import com.qipeilong.base.commonadapter.viewgroupadapter.adapter.single.SingleAdapter
import com.qipeilong.base.emptyview.EmptyViewLayoutManager
import com.qipeilong.imageloader.ImageLoadManager
import com.scwang.smartrefresh.layout.SmartRefreshLayout
import com.scwang.smartrefresh.layout.api.RefreshFooter
import com.scwang.smartrefresh.layout.api.RefreshKernel
import com.scwang.smartrefresh.layout.api.RefreshLayout
import com.scwang.smartrefresh.layout.constant.RefreshState
import com.scwang.smartrefresh.layout.constant.SpinnerStyle
import com.sensu.automall.BaseActivity
import com.sensu.automall.LesvinAppApplication
import com.sensu.automall.R
import com.sensu.automall.URL
import com.sensu.automall.activity_mycenter.ShopProductdetailListActivity
import com.sensu.automall.activity_shoppingcar.ShoppingCarActivity
import com.sensu.automall.adapter.BannerImageAdapter
import com.sensu.automall.manager.ColorAndSizeManager
import com.sensu.automall.model.*
import com.sensu.automall.utils.*
import com.sensu.automall.view.*
import com.sensu.automall.view.ProductListBrandPopupWindow.OnSureClicklistener
import com.sensu.automall.widgets.ProductListWaterFloatImageView
import com.yc.cn.ycbannerlib.banner.BannerView
import kotlinx.android.synthetic.main.activity_product_list.*
import kotlinx.android.synthetic.main.item_allcar_hot_group.view.*
import org.json.JSONArray
import org.json.JSONException
import org.json.JSONObject
import java.util.*

/**
 * Created by zhairui on 2018/3/15.
 * 合并展示
 */
@PointBury(pageview = "/ProductListMerge", refer = "")
@IRouter(path = "/filterVc", desc = "商品列表", interceptors = [LoginInterceptor::class])
class ProductListActivity : BaseActivity() {

    //view
    lateinit var container:View
    internal lateinit var recyclerView: RecyclerView
    internal lateinit var refreshLayout: SmartRefreshLayout
    internal lateinit var ll_attribute: LinearLayout
    internal lateinit var ll_bar: LinearLayout
    internal lateinit var ll_brand: LinearLayout
    private lateinit var ll_filter:View
    internal lateinit var ll_complex: LinearLayout
    internal lateinit var ll_search_bac: LinearLayout
    internal lateinit var horizontal_category: HorizontalScrollView
    internal lateinit var et_Search: TextView
    internal lateinit var tv_complex: TextView
    internal lateinit var tv_product_list_cart: TextView
    internal lateinit var rlSearchFrameDelete: ViewGroup
    internal lateinit var iv_searchuserproduct_left: ImageView
//    internal lateinit var iv_voice: ImageView
    internal lateinit var ivDeleteText: ImageView
    internal lateinit var frame_floating: FrameLayout
    internal lateinit var fl_data: ViewGroup
    internal lateinit var viewPager: BannerView
    internal lateinit var rl_viewpager: RelativeLayout
    internal lateinit var stickyNavLayout: StickyNavLayout
    var tireList: MutableList<PickTireSize> = ArrayList()
    var total: Int = 0

    //请求的参数
    private var q: String? = ""

    private var is_self = ""
    private var is_post = ""
    private var is_stock = ""
    private var is_group = ""

    var tireWidth: String =""
    var ratio:String =""
    var diameter:String =""

    private var q_new: String? = null//搜索优化后的关键字 GetKeywordBySynonym
    internal var page = 1
    internal var sort = defaultOrderType
    internal lateinit var adapter: CommonAdapter<SearchUserProductModel>
    internal lateinit var attrSingleAdapter: SingleAdapter<*>
    internal lateinit var attrVGUtil: VGUtil
    internal var searchUserProductModels: MutableList<SearchUserProductModel> = ArrayList()
    internal var cataLogs: MutableList<CataLogJ> = ArrayList()
//    internal var categorysMap: MutableMap<Int, String?> = HashMap()//标签的集合  Integer:1代表类目，2代表分类
    internal var click_catalogId: String = ""
    internal var groupAttrItems: MutableList<GroupAttrItem>? = ArrayList()
    internal var extMap_item: MutableMap<ChildAttrItem, Boolean?> = HashMap()
    internal var attributeSelectViews: MutableMap<Int, Boolean> = HashMap()
    internal var attributeSelectList: MutableMap<Int, List<ChildAttrItem>> = HashMap()
    internal var arrayBrand: MutableList<Brand> = ArrayList()
    internal var brands_select: MutableMap<String, Boolean> = HashMap()
    internal var select_brandId: String? = ""
    internal var shopCartNum = 0
    private val listBanner = ArrayList<Banner>()

    internal var mEmptyViewLayoutManager: EmptyViewLayoutManager? = null
    private var appoint_content: String? = null
    private var trader_uid: String? = ""

    var getExtras_couponId:kotlin.String? = ""
    var getExtras_crashType:kotlin.String? = ""

    private var search_hint_layout: ViewGroup? = null
    private var old_qTv: TextView? = null
    private var new_qTv: TextView? = null

    private val newTvText: String
        get() {
            val sb = StringBuilder()
            sb.append("为您显示\"")
            if (!TextUtils.isEmpty(q_new) && q_new!!.length > 5) {
                sb.append(q_new!!.substring(0, 5))
                sb.append("...")
            } else {
                sb.append(q_new)
            }
            sb.append("\"的相关结果，")
            return sb.toString()
        }

    private val oldTvText: String
        get() {
            val sb = StringBuilder()
            sb.append("<u>")
            sb.append("仍然搜索\"")
            if (!TextUtils.isEmpty(q) && q!!.length > 5) {
                sb.append(q!!.substring(0, 5))
                sb.append("...")
            } else {
                sb.append(q)
            }
            sb.append("\"")
            sb.append("</u>")
            return sb.toString()
        }
    //点击综合弹出pop
    internal var productListHeadPopup: ProductListFilterPopup? = null
    //属性弹出框
    internal var attributePopupWindow: ProductListAttributePopup? = null

    internal var brandPopupWindow: ProductListBrandPopupWindow? = null

    var catalogPopupWindow:ProductListCatalogPopupWindow? = null

    var filterPopupWindow: FilterPopupWindow? = null

    var chooseTireScalePopup: ChooseTireScalePopup? = null


    init {
        activity_LayoutId = R.layout.activity_product_list
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        StatusBarUtil.setColor(this, resources.getColor(R.color.white_text_color), 0)
        StatusBarUtil.setLightMode(this)
        getIntentExtras()
        getTireSizes()
        initData()
    }

    private fun initData() {
        if (!TextUtils.isEmpty(q)) {
            getKeyWord(q)
        } else {
            getData()
        }
    }

    private fun getData() {
        SearchProduct()
        if(!TextUtils.isEmpty(click_catalogId)){
            GetCatalogAttributes(click_catalogId)
        }
//        BrannerData(appoint_content)
    }

    private fun AddToCart(product:ColorSizeModel.ColorSizeProduct,num:String) {
        LoadingDialog.getInstance().ShowLoading(this@ProductListActivity,
                contentView, false)
        val rpParams = RequestParams()
        rpParams.put("option", "AddProductToCart")
        rpParams.put("count", num)
        if(TextUtils.isEmpty(product.groupId)){
            rpParams.put("isGroup", "0")// 1是聚划算组
            rpParams.put("userProductId", product.userProductId)// 1是聚划算组
        }else{
            rpParams.put("isGroup", "1")// 1是聚划算组
            rpParams.put("userProductId", product.groupId)// 1是聚划算组
        }
        rpParams.put("cityId", Constants.locationBean.cityId)
        client.postRequest("AddProductToCart", URL.HTTP_URL_AddProductToCart,
                rpParams, activityKey)
    }

    private fun getIntentExtras() {
        val bundle = this.intent.extras ?: return
        if (bundle.containsKey("catalogId")) {
            click_catalogId = bundle.getString("catalogId")
            if (!TextUtils.isEmpty(click_catalogId)) {
                tv_category.setTextColor(resources.getColor(R.color.accent_red))
                iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_red_down))
            }

        }
        if (bundle.containsKey("brandId")) {
            select_brandId = bundle.getString("brandId")
            if (!TextUtils.isEmpty(select_brandId)) {
                tv_brand.setTextColor(resources.getColor(R.color.accent_red))
                iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_red_down))
            }
        }

        if (bundle.containsKey("getExtras_couponId")) {
            getExtras_couponId = bundle.getString("getExtras_couponId")
        }
        if (bundle.containsKey("getExtras_crashType")) {
            getExtras_crashType = bundle.getString("getExtras_crashType")
        }

        if (bundle.containsKey("appoint_content")) {
            appoint_content = bundle.getString("appoint_content", "")
            addSearchView(appoint_content)
        }
        if (bundle.containsKey("keyword")) {
            if (!TextUtils.isEmpty(bundle.getString("keyword"))) {
                q = bundle.getString("keyword")
                ll_search_bac.visibility = View.GONE
                et_Search.visibility = View.VISIBLE
                et_Search.text = q
            }
        }
        if (bundle.containsKey("traderid")) {
            trader_uid = bundle.getString("traderid")
        }
    }

    private fun initSearchHintView() {
        search_hint_layout = findViewById(R.id.search_hint_layout)
        old_qTv = findViewById(R.id.old_q)
        new_qTv = findViewById(R.id.new_q)
        old_qTv!!.paint.flags = Paint.UNDERLINE_TEXT_FLAG
        old_qTv!!.paint.isAntiAlias = true
        old_qTv!!.setOnClickListener {
            q_new = ""
            ll_search_bac.visibility = View.GONE
            et_Search.visibility = View.VISIBLE
            et_Search.text = q
            page = 1
            getData()
            showSearchHint(false)
        }
    }

    override fun initView() {
        super.initView()
        initSearchHintView()
        container = findViewById(R.id.container)
        iv_searchuserproduct_left = findViewById(R.id.iv_searchuserproduct_left)
        iv_searchuserproduct_left.setOnClickListener { finish() }
//        iv_voice = findViewById(R.id.iv_voice)
//        iv_voice.setOnClickListener { startActivityForResult(Intent(this@ProductListActivity, VoiceRecognizeActivity::class.java), VOICE_REQUEST_CODE) }
        ivDeleteText = findViewById(R.id.ivDeleteText)
        ivDeleteText.setOnClickListener {
            et_Search.text = ""
            startActivityForResult(
                    Intent(this@ProductListActivity,
                            SearchKeywordDialogActivity::class.java).putExtra(
                            "productlist", "2").putExtra("text", ""),
                    SEARCH_REQUEST_CODE)
        }
        tv_product_list_cart = findViewById(R.id.tv_product_list_cart)
        frame_floating = findViewById(R.id.frame_floating)
        frame_floating.setOnClickListener {
            if (LesvinAppApplication.getUsers() != null) {
                if (LesvinAppApplication.getUsers()!!
                                .getCustomerType() != "2") {
                    val intent = Intent(this@ProductListActivity,
                            ShoppingCarActivity::class.java)
                    intent.putExtra("isMain", false)
                    startActivity(intent)
                }
            }
            val map_meta = HashMap<String, String>()
            map_meta["showtype"] = "2"

            getPointBueryEvent(Gson().toJson(map_meta), "", "/ProductListMerge", "switch")
        }
        et_Search = findViewById(R.id.et_Search)
        rlSearchFrameDelete = findViewById(R.id.rlSearchFrameDelete)
        rlSearchFrameDelete.setOnClickListener {
            val text = et_Search.text.toString()
            startActivityForResult(
                    Intent(this@ProductListActivity,
                            SearchKeywordDialogActivity::class.java).putExtra(
                            "productlist", "2").putExtra("text", text),
                    SEARCH_REQUEST_CODE)
        }
        et_Search.isFocusable = false
        et_Search.setOnClickListener {
            val text = et_Search.text.toString()
            startActivityForResult(
                    Intent(this@ProductListActivity,
                            SearchKeywordDialogActivity::class.java).putExtra(
                            "productlist", "2").putExtra("text", text),
                    SEARCH_REQUEST_CODE)
        }
        et_Search.addTextChangedListener(object : TextWatcher {
            override fun beforeTextChanged(s: CharSequence, start: Int, count: Int, after: Int) {

            }

            override fun onTextChanged(s: CharSequence, start: Int, before: Int, count: Int) {

            }

            override fun afterTextChanged(s: Editable) {
                if (TextUtils.isEmpty(s.toString())) {
                    ivDeleteText.visibility = View.INVISIBLE
                } else {
                    ivDeleteText.visibility = View.VISIBLE
                }
            }
        })

        ll_search_bac = findViewById(R.id.ll_search_bac)
        recyclerView = findViewById(R.id.recyclerView)
        fl_data = findViewById(R.id.fl_data)
        refreshLayout = findViewById(R.id.refreshLayout)
        refreshLayout.setEnableRefresh(false)
        refreshLayout.setOnLoadMoreListener { refresh -> SearchProduct() }

        recyclerView.layoutManager = LinearLayoutManager(this)

        adapter = object : CommonAdapter<SearchUserProductModel>(this, R.layout.item_goodlist_new, searchUserProductModels) {
            override fun convert(holder: ViewHolder, searchUserProductModel: SearchUserProductModel, position: Int) {

                (holder.getView<View>(R.id.tv_shop) as TextView).text = searchUserProductModel.shopName + "  >"
                holder.getView<View>(R.id.tv_shop).setOnClickListener {
                    startActivity(Intent(this@ProductListActivity,
                            ShopProductdetailListActivity::class.java).putExtra(Constants.TREADID,
                            searchUserProductModel.traderId))
                }

                if (searchUserProductModel.regionInventory == null){
                    (holder.getView<View>(R.id.tv_inventory) as TextView).text = "库存  0"
                }else{
                    if (searchUserProductModel.regionInventory.allInvnetory > 99){
                        (holder.getView<View>(R.id.tv_inventory) as TextView).text = "库存  99+"
                    }else{
                        (holder.getView<View>(R.id.tv_inventory) as TextView).text = "库存  " + searchUserProductModel.regionInventory.allInvnetory
                    }
                }
                /**
                 * 自营
                 */
                if (searchUserProductModel.isSelf == 1) {
                    holder.getView<View>(R.id.tv_shop).visibility = View.GONE
                    holder.getView<View>(R.id.iv_self).visibility = View.VISIBLE

                } else {
                    holder.getView<View>(R.id.tv_shop).visibility = View.VISIBLE
                    holder.getView<View>(R.id.iv_self).visibility = View.GONE
                }

                /**
                 * 促销
                 */
                if (searchUserProductModel.isGroup == 1) {
                    holder.getView<View>(R.id.iv_auto_promotion).visibility = View.VISIBLE
                } else {
                    holder.getView<View>(R.id.iv_auto_promotion).visibility = View.GONE
                }

                /**
                 * 极速达 闪送
                 */
                var name = searchUserProductModel.productName
                if (!TextUtils.isEmpty(searchUserProductModel.confirmedSubtitle)) {
                    name += "(" + searchUserProductModel.confirmedSubtitle + ")"
                }
//                if (searchUserProductModel.isQuickArrival) {
//                    (holder.getView<View>(R.id.tv_ProductName) as IconTextView).setText(name, resources.getDrawable(R.drawable.icon_shansong),
//                            34, 12)
//                } else {
//                    (holder.getView<View>(R.id.tv_ProductName) as TextView).text = name
//                }
                (holder.getView<View>(R.id.tv_ProductName) as TextView).text = name

                /**
                 * 班车配送
                 */
//                if (searchUserProductModel.isNormalDelivery) {
//                    holder.getView<View>(R.id.iv_express).visibility = View.VISIBLE
//                } else {
//                    holder.getView<View>(R.id.iv_express).visibility = View.GONE
//                }
                /**
                 * 包邮
                 */
                if (searchUserProductModel.isPost == 0) {
                    holder.getView<View>(R.id.iv_auto_shipping).visibility = View.GONE
                } else {
                    holder.getView<View>(R.id.iv_auto_shipping).visibility = View.VISIBLE
                }
                /**
                 * 分期
                 */
                if (searchUserProductModel.fenqi == 0) {
                    holder.getView<View>(R.id.iv_period).visibility = View.GONE
                } else {
                    holder.getView<View>(R.id.iv_period).visibility = View.VISIBLE
                }

                if ("会员可见" == searchUserProductModel.priceFormart) {
                    (holder.getView<View>(R.id.tv_MinListPrice) as TextView).textSize = 13f
                    (holder.getView<View>(R.id.tv_MinListPrice) as TextView).text = searchUserProductModel.priceFormart
                } else {
                    (holder.getView<View>(R.id.tv_MinListPrice) as TextView).textSize = 15f
                    if (!TextUtils.isEmpty(searchUserProductModel.priceFormart) && "null" != searchUserProductModel.priceFormart) {
//                        (holder.getView<View>(R.id.tv_MinListPrice) as TextView).text = searchUserProductModel.priceFormart
                        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.N) {
                            (holder.getView<View>(R.id.tv_MinListPrice) as TextView).text = Html.fromHtml(HtmlStringUtil.getFormatPrice(searchUserProductModel.priceFormart),Html.FROM_HTML_MODE_LEGACY)
                        }else{
                            (holder.getView<View>(R.id.tv_MinListPrice) as TextView).text = Html.fromHtml(HtmlStringUtil.getFormatPrice(searchUserProductModel.priceFormart))
                        }
                    }
                }

                (holder.getView<View>(R.id.tv_ProductCount) as TextView).text = HtmlStringUtil.getProductNum(searchUserProductModel.salesVolume)

                /**
                 * 库存状态影响UI，无库存置灰 放在最后设置
                 */
                if (searchUserProductModel.inventoryStatus == 1) {
                    holder.getView<View>(R.id.tv_out_moment).visibility = View.GONE
                    holder.getView<View>(R.id.v_transparent).visibility = View.GONE
//                    (holder.getView<View>(R.id.iv_addcart) as ImageView).setImageDrawable(resources.getDrawable(R.drawable.icon_add_to_shop))
                    (holder.getView<View>(R.id.tv_ProductName) as TextView).setTextColor(resources.getColor(R.color.text_content_title))
//                    (holder.getView<View>(R.id.tv_MinListPrice) as TextView).setTextColor(resources.getColor(R.color.accent_red))
                } else {
                    holder.getView<View>(R.id.v_transparent).visibility = View.VISIBLE
                    holder.getView<View>(R.id.tv_out_moment).visibility = View.VISIBLE
//                    (holder.getView<View>(R.id.iv_addcart) as ImageView).setImageDrawable(resources.getDrawable(R.drawable.icon_add_to_shop_gray))
                    (holder.getView<View>(R.id.tv_ProductName) as TextView).setTextColor(resources.getColor(R.color.light_gray))
//                    (holder.getView<View>(R.id.tv_MinListPrice) as TextView).setTextColor(resources.getColor(R.color.light_gray))
                }

                holder.getView<View>(R.id.ll_content).setOnClickListener {
                    startActivity(Intent(this@ProductListActivity,
                            ProductDetailActivity::class.java).putExtra("ProductBeanId",
                            searchUserProductModel.getuID()))
                }

                /**
                 * 加入进货单
                 */
                holder.getView<View>(R.id.iv_addcart).setOnClickListener {
                   //AddToCart(searchUserProductModel)
                    ColorAndSizeManager.getInstance().request(this@ProductListActivity, "getSizeByUserProductIdBatch", searchUserProductModel.getuID(),"1"
                    ) { product, num ->
                        AddToCart(product,num)
                    }
                }
                val ivPic = holder.getView<ProductListWaterFloatImageView>(R.id.iv_pic)
                ivPic.setFloatShow(true, searchUserProductModel.showType)
                ImageLoadManager.instance.loadImage(this@ProductListActivity, searchUserProductModel.images, ivPic.imageView)

                if(total == (position + 1)){
                    holder.getView<View>(R.id.no_more_data_iv).visibility = View.VISIBLE
                }else{
                    holder.getView<View>(R.id.no_more_data_iv).visibility = View.GONE
                }
            }
        }

        recyclerView.adapter = adapter

        viewPager = findViewById(R.id.viewpager)
        rl_viewpager = findViewById(R.id.view)
        stickyNavLayout = findViewById(R.id.stickyNavLayout)

        ll_filter = findViewById(R.id.ll_filter)
        ll_filter.setOnClickListener { showFilterPopup() }

        ll_brand = findViewById(R.id.ll_brand)
        ll_brand.setOnClickListener { SearchProductBrand() }

        ll_category_.setOnClickListener {  SearchProductCategory() }
        /**
         * 综合
         */
        ll_complex = findViewById(R.id.ll_complex)
        ll_complex.setOnClickListener { showProductListHeadPopup() }
        ll_bar = findViewById(R.id.ll_bar)
        ll_bar.layoutParams = LinearLayout.LayoutParams(MassageUtils.getSceenWidth(), MassageUtils.dip2px(50f))
        ll_attribute = findViewById(R.id.ll_attribute)
        horizontal_category = findViewById(R.id.horizontal_category)
        tv_complex = findViewById(R.id.tv_complex)

        attrSingleAdapter = object : SingleAdapter<GroupAttrItem>(this, groupAttrItems, R.layout.item_attrs_down) {
            override fun onBindViewHolder(parent: ViewGroup, holder: com.qipeilong.base.commonadapter.viewgroupadapter.adapter.cache.ViewHolder, data: GroupAttrItem, pos: Int) {
                val view:TextView = holder.findViewById<View>(R.id.txt_category) as TextView
                if (attributeSelectViews.containsKey(pos) && attributeSelectViews[pos]!!) {
                    view.setTextColor(resources.getColor(R.color.accent_red))
                    view.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_red_down),null)
                } else {
                    view.setTextColor(resources.getColor(R.color.text_content_title))
                    view.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_black_down),null)
                }
                holder.setText(R.id.txt_category, data.AttributeName)
            }
        }
        //单一ItemView
        attrVGUtil = VGUtil(ll_attribute, attrSingleAdapter, com.qipeilong.base.commonadapter.viewgroupadapter.listener.OnItemClickListener { parent, itemView, position ->
            val childAttrItems = ArrayList<ChildAttrItem>()
            val splitView:View = itemView.findViewById(R.id.split_view)
            val txtCategory:TextView = itemView.findViewById(R.id.txt_category)
            for (i in 0 until groupAttrItems!![position].items.size) {
                childAttrItems.addAll(groupAttrItems!![position].items[i].childAttrItems)
            }
            if(groupAttrItems!![position].attributeName == "规格"){
                initChooseTireScalePopup(object:OnPopupShowListener{
                    override fun onPopupShow() {
                        splitView.setBackgroundColor(resources.getColor(R.color.product_list_attr_bg))
                        txtCategory.setBackgroundResource(R.drawable.bg_half_card_f7_14)
                        if(TextUtils.isEmpty(tireWidth) && TextUtils.isEmpty(ratio) && TextUtils.isEmpty(diameter) ){
                            txtCategory.setTextColor(resources.getColor(R.color.text_content_title))
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_black_up),null)
                        }else{
                            txtCategory.setTextColor(resources.getColor(R.color.accent_red))
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_red_up),null)
                        }
                    }

                },object:PopupWindow.OnDismissListener{
                    override fun onDismiss() {
                        splitView.setBackgroundColor(resources.getColor(R.color.txt_white))
                        txtCategory.setBackgroundResource(R.drawable.bg_card_f7_14)
                        if(TextUtils.isEmpty(tireWidth) && TextUtils.isEmpty(ratio) && TextUtils.isEmpty(diameter) ){
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_black_down),null)
                            txtCategory.setTextColor(resources.getColor(R.color.text_content_title))
                        }else{
                            txtCategory.setTextColor(resources.getColor(R.color.accent_red))
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_red_down),null)
                        }
                    }
                })
            }else {
                showAttributePopup(childAttrItems,object:OnPopupShowListener{
                    override fun onPopupShow() {
                        if (attributeSelectViews.containsKey(position) && attributeSelectViews[position]!!) {
                            txtCategory.setTextColor(resources.getColor(R.color.accent_red))
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_red_up),null)
                        }else{
                            txtCategory.setTextColor(resources.getColor(R.color.text_content_title))
                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_black_up),null)
                        }

                    }

                },object:PopupWindow.OnDismissListener{
                    override fun onDismiss() {
                        attrSingleAdapter.notifyDatasetChanged()
//                        if (attributeSelectViews.containsKey(position) && attributeSelectViews[position]!!) {
//                            txtCategory.setTextColor(resources.getColor(R.color.accent_red))
//                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_red_down),null)
//                        }else{
//                            txtCategory.setTextColor(resources.getColor(R.color.text_content_title))
//                            txtCategory.setCompoundDrawablesWithIntrinsicBounds(null,null,resources.getDrawable(R.drawable.attr_black_down),null)
//                        }
                    }
                })

            }
            attributeSelectList[position] = childAttrItems
        })
        attrVGUtil.bind()
        mEmptyViewLayoutManager = EmptyViewLayoutManager.newInstance()
    }

    override fun onResume() {
        super.onResume()
        if (LesvinAppApplication.users != null && "1" == LesvinAppApplication.getUsers()!!.getIsCheck()) {
            getShoppingcarNum()
            frame_floating.visibility = View.VISIBLE
        } else {
            frame_floating.visibility = View.INVISIBLE
        }
    }

    fun BrannerData(branner_word: String?) {
        val rpParams = RequestParams()
        rpParams.put("option", "GetProductsList_Branner")
        if (!TextUtils.isEmpty(q_new)) {
            rpParams.put("keyWords", q_new)
        } else {
            rpParams.put("keyWords", branner_word ?: "")
        }
        client.postRequest("GetProductsList_Branner", URL.HTTP_URL_GetProductsList_Branner, rpParams,
                activityKey)
    }

    // 获取分类属性
    internal fun GetCatalogAttributes(catalogID: String?) {
        clearAttr()
        val rpParams = RequestParams()
        rpParams.put("option", "SearchAttrs")
        rpParams.put("catalog", catalogID)
        SearchAttrs(catalogID)
    }

    private fun getKeyWord(keyword: String?) {
        val rpParams = JSONObject()
        try {
            rpParams.put("keyword", keyword)
        } catch (e: Exception) {
            e.printStackTrace()
        }

        client.postRequestJ("GetKeyWord", URL.getKeyWord, rpParams, activityKey, 1)
    }

    internal fun SearchProduct() {
        if (page == 1) {
            LoadingDialog.getInstance().ShowLoading(this, contentView, false)
        }
        val rpParams = JSONObject()
        try {
            rpParams.put("option", "SearchUserProduct")
            if (!TextUtils.isEmpty(q_new)) {
                rpParams.put("q", q_new)
            } else {
                rpParams.put("q", q)
            }
            val brands = select_brandId!!.split(",".toRegex()).dropLastWhile { it.isEmpty() }.toTypedArray()
            var brandjson = ""
            try {
                brandjson = JSON.toJSON(brands).toString()
            } catch (e: Exception) {
                e.printStackTrace()
            }
            rpParams.put("brand", JSONArray(brandjson))
            if(click_catalogId != "-1"){
                rpParams.put("category", JSONArray(JSON.toJSONString(listOf(click_catalogId))))
            }

            val attr_new = JSONArray()
            for ((key, value) in extMap_item) {
                val jsonObject = JSONObject()
                try {
                    if (value!!) {
                        jsonObject.put("UID", key.getKey())
                        jsonObject.put("Value", key.getValue())
                        attr_new.put(jsonObject)
                    }
                } catch (e: JSONException) {
                    e.printStackTrace()
                }
            }
            if(!TextUtils.isEmpty(tireWidth)){
                val jsonObjectTireWidth = JSONObject()
                jsonObjectTireWidth.put("UID", "30101")
                jsonObjectTireWidth.put("Value", tireWidth)
                attr_new.put(jsonObjectTireWidth)
            }
            if(!TextUtils.isEmpty(ratio)){
                val jsonObjectRatio = JSONObject()
                jsonObjectRatio.put("UID", "30102")
                jsonObjectRatio.put("Value", ratio)
                attr_new.put(jsonObjectRatio)
            }
            if(!TextUtils.isEmpty(diameter)){
                val jsonObjectDiameter = JSONObject()
                jsonObjectDiameter.put("UID", "30103")
                jsonObjectDiameter.put("Value", diameter)
                attr_new.put(jsonObjectDiameter)
            }

            rpParams.put("attr", JSONArray(attr_new.toString()))
            rpParams.put("lat", Constants.locationBean.latitude.toString() + "")
            rpParams.put("lon", Constants.locationBean.longitude.toString() + "")

            rpParams.put("is_self", is_self + "")
            rpParams.put("is_post", is_post + "")
            rpParams.put("is_group", is_group + "")
            rpParams.put("is_stock", is_stock + "")

            rpParams.put("province", Constants.locationBean.provinceId)
            rpParams.put("city", Constants.locationBean.cityId)
            rpParams.put("trader_uid", JSONArray(JSON.toJSONString(listOf(trader_uid!! + ""))))
            rpParams.put("sort", sort.toString() + "")
            rpParams.put("pageNum", page.toString() + "")
            rpParams.put("couponId", getExtras_couponId)
            rpParams.put("crashType", getExtras_crashType)
            rpParams.put("pageSize", 10.toString() + "")

            client.postRequestJ("SearchUserProduct", URL.HTTP_SearchUserProductPlusJ,
                    rpParams, activityKey)

            val map_meta = HashMap<String, String?>()
            if (!TextUtils.isEmpty(q_new)) {
                map_meta["key"] = q_new
            } else {
                map_meta["key"] = q
            }
            map_meta["catalogId"] = click_catalogId
            map_meta["brandid"] = select_brandId
            map_meta["attribute"] = attr_new.toString()
            map_meta["sort"] = sort.toString() + ""
            map_meta["lon"] = Constants.locationBean.longitude.toString() + ""
            map_meta["lat"] = Constants.locationBean.latitude.toString() + ""
            getPointBueryEvent(Gson().toJson(map_meta), "", "ProductListMultilevel", "searchProduct")
        } catch (e: Exception) {
            e.printStackTrace()
        }

    }

    private fun showSearchHint(showHintLayout: Boolean) {
        var showHintLayout = showHintLayout
        if (TextUtils.isEmpty(q_new) || TextUtils.isEmpty(q)) {
            showHintLayout = false
        }
        if (showHintLayout) {
            search_hint_layout!!.visibility = View.VISIBLE
            new_qTv!!.text = newTvText
            old_qTv!!.text = Html.fromHtml(oldTvText)
        } else {
            search_hint_layout!!.visibility = View.GONE
        }
    }

    private fun SearchProductCategory() {

        val rpParams = JSONObject()
        try {
            rpParams.put("option", "SearchProductCategory")
            rpParams.put("isPlus", 1)
            if (!TextUtils.isEmpty(q_new)) {
                rpParams.put("q", q_new)
            } else {
                rpParams.put("q", q)
            }
            val brands = select_brandId!!.split(",".toRegex()).dropLastWhile { it.isEmpty() }.toTypedArray()
            var brandjson = ""
            try {
                brandjson = JSON.toJSON(brands).toString()
            } catch (e: Exception) {
                e.printStackTrace()
            }
            rpParams.put("brand", JSONArray(brandjson))
            if(click_catalogId != "-1"){
                rpParams.put("category", JSONArray(JSON.toJSONString(listOf(click_catalogId))))
            }
            rpParams.put("attr", JSONArray())
            rpParams.put("tid", "")
            rpParams.put("lat", Constants.locationBean.latitude.toString() + "")
            rpParams.put("lon", Constants.locationBean.longitude.toString() + "")
            rpParams.put("is_post", "")
            rpParams.put("is_self", "")
            rpParams.put("is_group", "")
            rpParams.put("province", Constants.locationBean.provinceId + "")
            rpParams.put("city", Constants.locationBean.cityId + "")
            rpParams.put("sort", "")
            rpParams.put("couponId", getExtras_couponId)
            rpParams.put("crashType", getExtras_crashType)
            rpParams.put("pageNum", "")
        } catch (e: Exception) {
            e.printStackTrace()
        }

        client.postRequestJ("SearchProductCategory", URL.HTTP_SearchUserProductCategoryJ,
                rpParams, activityKey)
    }

    private fun SearchProductBrand() {
        LoadingDialog.getInstance().ShowLoading(this, contentView, false)
        val rpParams = JSONObject()
        try {
            rpParams.put("option", "SearchProductBrand")
            rpParams.put("isPlus", 1)
            if (!TextUtils.isEmpty(q_new)) {
                rpParams.put("q", q_new)
            } else {
                rpParams.put("q", q!! + "")
            }
            if(click_catalogId != "-1"){
                rpParams.put("category", JSONArray(JSON.toJSONString(listOf(click_catalogId))))
            }
            rpParams.put("attr", JSONArray())
            rpParams.put("tid", "")
            rpParams.put("lat", Constants.locationBean.latitude.toString() + "")
            rpParams.put("lon", Constants.locationBean.longitude.toString() + "")
            rpParams.put("is_post", "")
            rpParams.put("is_self", "")
            rpParams.put("is_group", "")
            rpParams.put("couponId", getExtras_couponId)
            rpParams.put("crashType", getExtras_crashType)
            rpParams.put("province", Constants.locationBean.provinceId + "")
            rpParams.put("city", Constants.locationBean.cityId + "")
            rpParams.put("sort", "")
            rpParams.put("pageNum", "")
        } catch (e: Exception) {
            e.printStackTrace()
        }

        client.postRequestJ("SearchProductBrand", URL.HTTP_SearchUserProductBrandJ,
                rpParams, activityKey)
    }

    private fun SearchAttrs(catalog: String?) {
        val rpParams = JSONObject()
        try {
            rpParams.put("option", "SearchAttrs")
            rpParams.put("category", JSONArray(listOf(*catalog!!.split(",".toRegex()).dropLastWhile { it.isEmpty() }.toTypedArray())))
            rpParams.put("catalog", Integer.valueOf(catalog))
        } catch (e: Exception) {
            e.printStackTrace()
        }

        client.postRequestJ("SearchAttrs", URL.HTTP_SearchAttrsPlusJ,
                rpParams, activityKey)
    }

    fun getTireSizes(){
        val rpParams = JSONObject()
        try {
            rpParams.put("option", "getTireSizes")
        } catch (e: Exception) {
            e.printStackTrace()
        }

        client.postRequestJ("getTireSizes", URL.HTTP_getTireSizesJ,
                rpParams, activityKey)

    }

    // 获取购物车数量
    fun getShoppingcarNum() {
        val rpParam = RequestParams()
        client.postRequest("GetCartProductsCount",
                URL.HTTP_URL_GetCartProductsCount, rpParam, activityKey)
    }

    private fun showCatalogPopup(){
        if (TextUtils.isEmpty(click_catalogId)){
            iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_black_up))
        }else{
            iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_red_up))
        }

        if (catalogPopupWindow == null) {
            catalogPopupWindow = ProductListCatalogPopupWindow(this, PopupWindow.OnDismissListener {
                if (TextUtils.isEmpty(click_catalogId)) {
                    tv_category.setTextColor(resources.getColor(R.color.light_deep_gray))
                    iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_black_down))
                }else{
                    tv_category.setTextColor(resources.getColor(R.color.accent_red))
                    iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_red_down))
                }
            })
        }
        catalogPopupWindow!!.setList(cataLogs, click_catalogId)

        catalogPopupWindow!!.setOnSureClicklistener(object: ProductListCatalogPopupWindow.OnSureClicklistener{
            override fun onSure(selectedId:String, selectedName:String) {
                if (click_catalogId != selectedId){
                    click_catalogId = selectedId
                    if(click_catalogId != "301"){
                        clearTire()
                    }
                    LoadingDialog.getInstance().ShowLoading(this@ProductListActivity, contentView, false)
                    GetCatalogAttributes(selectedId)
                    page = 1
                    SearchProduct()
                    addSearchView(selectedName)
                }
            }

        })
        if (!catalogPopupWindow!!.isShowing) {
            ScreenUtil.showSortPopup(catalogPopupWindow, ll_bar)
        }
    }

    private fun showProductListHeadPopup() {
        if (productListHeadPopup == null) {
            productListHeadPopup = ProductListFilterPopup(this, PopupWindow.OnDismissListener {
                tv_complex.setCompoundDrawablesWithIntrinsicBounds(null,null,this.resources.getDrawable(R.drawable.popup_red_down),null)
            })
        }
        tv_complex.setCompoundDrawablesWithIntrinsicBounds(null,null,this.resources.getDrawable(R.drawable.popup_red_up),null)
        if (!productListHeadPopup!!.isShowing) {
            productListHeadPopup!!.setOrderClickListener { order ->
                productListHeadPopup!!.dismiss()
                when (order) {
                    -1 -> {
                        tv_complex.text = "综合"
                        sort = defaultOrderType
                        page = 1
                        SearchProduct()
                    }
                    1 -> {
                        tv_complex.text = "销量"
                        sort = 1
                        page = 1
                        SearchProduct()
                    }
                    2 -> {
                        tv_complex.text = "价格"
                        sort = 2
                        page = 1
                        SearchProduct()
                    }
                    3 -> {
                        tv_complex.text = "价格"
                        sort = 3
                        page = 1
                        SearchProduct()
                    }
                    4 -> {
                        tv_complex.text = "促销"
                        sort = 4
                        page = 1
                        SearchProduct()
                    }
                }
            }
            if (productListHeadPopup != null && !productListHeadPopup!!.isShowing) {
                ScreenUtil.showSortPopup(productListHeadPopup, tv_complex)
            }
        }

    }

    private fun showFilterPopup(){
        right_popup.setVisibility(View.VISIBLE)
        if (filterPopupWindow == null) {
            filterPopupWindow = FilterPopupWindow(this, PopupWindow.OnDismissListener {
                if (is_self == "1" || is_group == "1" || is_post == "1" || is_stock == "1"){
                    iv_filter.setImageDrawable(resources.getDrawable(R.drawable.icon_filter_red))
                    tv_filter.setTextColor(resources.getColor(R.color.accent_red))
                }else{
                    iv_filter.setImageDrawable(resources.getDrawable(R.drawable.icon_filter))
                    tv_filter.setTextColor(resources.getColor(R.color.light_deep_gray))
                }
                right_popup.visibility = View.GONE
            })
        }

        filterPopupWindow!!.setStatus(is_self,is_post,is_group,is_stock)

        filterPopupWindow!!.setOnSureClicklistener(object: FilterPopupWindow.OnSureClicklistener{
            override fun onSure(is_self: String, is_post: String, is_group: String, is_stock: String) {
                this@ProductListActivity.is_self = is_self
                this@ProductListActivity.is_post = is_post
                this@ProductListActivity.is_group = is_group
                this@ProductListActivity.is_stock = is_stock
                page = 1
                SearchProduct()
            }

        })

        if (!filterPopupWindow!!.isShowing) {
            ScreenUtil.showRightPopup(this, filterPopupWindow, container)
        }
    }

    fun initChooseTireScalePopup(listener: OnPopupShowListener, dismissListener:PopupWindow.OnDismissListener){
        if(tireList.size != 0){
            showChooseTireScalePopup(tireList,listener, dismissListener)
        }
    }

    fun showChooseTireScalePopup(tireLists: MutableList<PickTireSize>,listener: OnPopupShowListener, dismissListener:PopupWindow.OnDismissListener){
        if( tireLists.isEmpty()){
            return
        }
        if (chooseTireScalePopup == null) {
            chooseTireScalePopup = ChooseTireScalePopup(this,  dismissListener)
        }
        chooseTireScalePopup!!.setList(tireLists,this@ProductListActivity.tireWidth,this@ProductListActivity.ratio, this@ProductListActivity.diameter)
        chooseTireScalePopup!!.setOnSureClicklistener(object: ChooseTireScalePopup.OnSureClicklistener{
            override fun onSure(tireWidth:String, ratio:String, diameter:String) {

                this@ProductListActivity.tireWidth = tireWidth
                this@ProductListActivity.ratio = ratio
                this@ProductListActivity.diameter = diameter
                attributeSelectViews[0] = !(TextUtils.isEmpty(tireWidth) && TextUtils.isEmpty(ratio) && TextUtils.isEmpty(diameter))
                attrSingleAdapter.notifyDatasetChanged()
                page = 1
                SearchProduct()
            }

        })
        if (!chooseTireScalePopup!!.isShowing) {
            ScreenUtil.showSortPopup(chooseTireScalePopup, ll_attribute, listener)
        }

    }

    private fun showAttributePopup(list: List<ChildAttrItem> , listener: OnPopupShowListener, dismissListener:PopupWindow.OnDismissListener) {
        if (attributePopupWindow == null) {
            attributePopupWindow = ProductListAttributePopup(this, dismissListener)
        }
        attributePopupWindow!!.setList(list, extMap_item)
        attributePopupWindow!!.setOnSureClicklistener(object: ProductListAttributePopup.OnSureClicklistener{
            override fun onSure(maps: Map<ChildAttrItem, Boolean?>) {
                extMap_item.clear()
                extMap_item.putAll(maps)
                attributeSelectViews.clear()
                for (childAttrItem in extMap_item.keys) {
                    if (extMap_item[childAttrItem] != null && extMap_item[childAttrItem]!!) {
                        for (view in attributeSelectList.keys) {
                            if (attributeSelectList[view]!!.contains(childAttrItem)) {
                                attributeSelectViews[view] = true
                            }
                        }
                    }
                }
                if (click_catalogId == "301"){
                    attributeSelectViews[0] = !(TextUtils.isEmpty(tireWidth) && TextUtils.isEmpty(ratio) && TextUtils.isEmpty(diameter))
                }
//                attrSingleAdapter.notifyDatasetChanged()
                page = 1
                SearchProduct()
            }

        })
        if (!attributePopupWindow!!.isShowing) {
            ScreenUtil.showSortPopup(attributePopupWindow, ll_attribute, listener)
        }
    }

    interface OnPopupShowListener{
        fun onPopupShow()
    }

    @SuppressLint("SetTextI18n")
    private fun addSearchView(tag:String?) {
        ll_search_bac.removeAllViews()
        ll_search_bac.visibility = View.VISIBLE
        et_Search.visibility = View.GONE
        if(tag=="全部" || TextUtils.isEmpty(tag)){
            return
        }

        val itemSearchView:View = inflater.inflate(R.layout.item_pruduct_list_searchbac, null)
        val txtSearchTag:TextView = itemSearchView.findViewById(R.id.txt_searchtag)
        txtSearchTag.text = tag + ""
        itemSearchView.setOnClickListener {
            ll_search_bac.removeAllViews()
            ll_search_bac.visibility = View.GONE
            et_Search.visibility = View.VISIBLE
            click_catalogId = ""
            clearAttr()
            refreshCatalogViewStatus()
            LoadingDialog.getInstance().ShowLoading(this@ProductListActivity, contentView, false)
            GetCatalogAttributes("")
            page = 1
            SearchProduct()
        }
        ll_search_bac.addView(itemSearchView)

    }
    fun clearAttr(){
        clearTire()
        extMap_item.clear()
    }

    fun clearTire(){
        tireWidth =""
        ratio =""
        diameter =""
    }


    fun refreshCatalogViewStatus(){
        if (TextUtils.isEmpty(click_catalogId)) {
            tv_category.setTextColor(resources.getColor(R.color.light_deep_gray))
            iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_black_down))
        }else{
            tv_category.setTextColor(resources.getColor(R.color.accent_red))
            iv_category.setImageDrawable(resources.getDrawable(R.drawable.popup_red_down))
        }
    }

    fun GetBanner(G_data: JSONArray) {
        listBanner.clear()
        var obj: JSONObject? = null
        for (i in 0 until G_data.length()) {
            obj = G_data.optJSONObject(i)
            val banner = Banner()
            banner.description = obj!!.optString("Description")
            banner.imageUrl = obj.optString("ImageUrl")
            banner.uid = obj.optString("UID")
            banner.toUrl = obj.optString("ToUrl")
            banner.title = obj.optString("Title")
            listBanner.add(banner)
        }
        setBanner(listBanner)
    }

    private fun setBanner(list_adv: List<Banner>?) {

        if (list_adv == null)
            return

        val imageUrls = ArrayList<String>()
        for (i in list_adv.indices) {
            imageUrls.add(list_adv[i].ImageUrl)
        }
        //设置轮播时间
        viewPager.setPlayDelay(2000)
        //设置轮播图适配器，必须
        viewPager.setAdapter(BannerImageAdapter(imageUrls))
        //设置位置
        viewPager.setHintGravity(1)
        //设置指示器样式
        viewPager.setHintMode(BannerView.HintMode.TEXT_HINT)
        //轮播图点击事件
        viewPager.setOnBannerClickListener { itemPosition ->
            startActivity(Intent(this@ProductListActivity,
                    FastEntryActivity::class.java)
                    .putExtra("url", list_adv[0].toUrl)
                    .putExtra("title", list_adv[0].title)
                    .putExtra("postion", ""))
        }
    }

    override fun notifyDataChanged(`object`: JSONObject) {
        super.notifyDataChanged(`object`)
        try {
            val body = JSONObject(`object`.optString("body"))
            val method = `object`.optString("method")
            LogUtils.i("method=$method")
            when (method) {
                "SearchUserProduct" -> {
                    refreshLayout.finishLoadMore()
                    refreshLayout.setNoMoreData(false)
                    mEmptyViewLayoutManager!!.removeEmpty(fl_data)
                    val list = JSON.parseArray(body.optJSONArray("data").toString(), SearchUserProductModel::class.java)
                    total = body.optInt("total")
                    if (list != null && list.size > 0) {
                        if (page == 1) {
                            searchUserProductModels.clear()
                        }
                        page++
                        searchUserProductModels.addAll(list)
                    } else {
                        if (page == 1) { //暂无数据
                            searchUserProductModels.clear()
                            mEmptyViewLayoutManager!!.setEmpty(fl_data)
                        } else {
                            refreshLayout.setNoMoreData(true)
                        }
                    }
                    adapter.notifyDataSetChanged()
                }
                "GetKeyWord" -> {
                    val tmpKeyWord = body.optString("data").trim { it <= ' ' }
                    if (!TextUtils.isEmpty(tmpKeyWord) && tmpKeyWord != q) {
                        q_new = tmpKeyWord
                        getData()
                        et_Search.text = tmpKeyWord
                        showSearchHint(true)
                    } else {
                        q_new = ""
                        getData()
                        showSearchHint(false)
                    }
                }
                "SearchProductCategory" -> {
                    val obj = body.optJSONArray("data")
                    if (obj != null) {
//                        if (obj.length() == 1) {
//                            val json_obj = obj.opt(0) as JSONObject
//                            val CalalogId = json_obj.optString("catalogId")
//                            click_catalogId = CalalogId
//                            GetCatalogAttributes(CalalogId)
//                        } else if (obj.length() > 1) {
                            attributeSelectList.clear()
                            attributeSelectViews.clear()
                            clearAttr()
                            cataLogs.clear()
                            cataLogs = JSON.parseArray(obj.toString(), CataLogJ::class.java) as ArrayList<CataLogJ>
                        showCatalogPopup()
//                            ll_attribute.visibility = View.GONE
//                        }
                    }
                }
                "SearchAttrs" -> {
                    groupAttrItems!!.clear()
                    if(click_catalogId == "301"){
                        val GroupAttrItem = GroupAttrItem()
                        GroupAttrItem.attributeName = "规格"
                        groupAttrItems!!.add(GroupAttrItem)
                    }
                    val array = body.optJSONArray("data")
                    if (array != null && array.length() > 0) {
                        for (i in 0 until array.length()) {
                            val jsonObject = array.optJSONObject(i)
                            val GroupAttrItem = GroupAttrItem()
                            GroupAttrItem.attributeName = jsonObject.optString("attrName")
                            val arr = jsonObject.optJSONArray("items")
                            var childAttrItems: MutableList<ChildAttrItem>? = null
                            val selectChildAttrItems = ArrayList<SelectChildAttrItems>()
                            if (arr != null) {
                                for (j in 0 until arr.length()) {
                                    val item = arr.optJSONObject(j)
                                    val ChildAttrItem = ChildAttrItem()
                                    ChildAttrItem.setKey(item
                                            .optString("attributeId"))
                                    ChildAttrItem.setUid(jsonObject.optString("id"))// 外部主键
                                    ChildAttrItem.setValue(item
                                            .optString("attributeValue"))
                                    if (j % 3 == 0) {
                                        val selectchildAttrItem = SelectChildAttrItems()
                                        childAttrItems = ArrayList()
                                        selectchildAttrItem.childAttrItems = childAttrItems
                                        selectChildAttrItems
                                                .add(selectchildAttrItem)
                                    }
                                    childAttrItems!!.add(ChildAttrItem)
                                }

                            }
                            GroupAttrItem.items = selectChildAttrItems
                            groupAttrItems!!.add(GroupAttrItem)
                        }

                        //点击分类展示属性，
                        if (groupAttrItems != null && groupAttrItems!!.size > 0) {
                            horizontal_category.visibility = View.VISIBLE
                            ll_attribute.visibility = View.VISIBLE
                            attrSingleAdapter.notifyDatasetChanged()
                        } else {
                            horizontal_category.visibility = View.GONE
                        }
                    } else {
                        horizontal_category.visibility = View.GONE
                    }
                }
                "getTireSizes" ->{
                    val dataJson  = body.optJSONObject("data")
                    val tireListData = dataJson.optJSONArray("tireSizes")
                    tireList = JSON.parseArray(tireListData.toString(), PickTireSize::class.java) as ArrayList<PickTireSize>
                }
                "SearchProductBrand" -> {
                    arrayBrand.clear()
                    val data = body.optJSONArray("data")
                    var item: JSONObject? = null
                    if (data != null && data.length() > 0) {
                        for (i in 0 until data.length()) {
                            item = data.optJSONObject(i)
                            if (item != null) {
                                val brand = Brand()
                                brand.brandName = item.optString("brandName")
                                brand.isHot = item.optInt("isHot")
                                brand.uid = item.optString("uID")
                                brand.productCount = item.optInt("productCount")
                                arrayBrand.add(brand)
                            }
                        }
                    }
                    if (brandPopupWindow == null) {
                        brandPopupWindow = ProductListBrandPopupWindow(this, PopupWindow.OnDismissListener {
                            if (TextUtils.isEmpty(select_brandId)) {
                                tv_brand.setTextColor(resources.getColor(R.color.light_deep_gray))
                                iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_black_down))
                            }else{
                                tv_brand.setTextColor(resources.getColor(R.color.accent_red))
                                iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_red_down))
                            }
                        })
                    }

                    if (!TextUtils.isEmpty(select_brandId)) {
                        for (i in arrayBrand.indices) {
                            if (select_brandId!!.contains(arrayBrand[i].uid)) {
                                brands_select[arrayBrand[i].brandName] = true
                            }
                        }
                        iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_red_up))
                        tv_brand.setTextColor(resources.getColor(R.color.accent_red))
                    }else{
                        tv_brand.setTextColor(resources.getColor(R.color.light_deep_gray))
                        iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_black_up))
                    }
                    brandPopupWindow!!.setList(arrayBrand, brands_select)
                    brandPopupWindow!!.setOnSureClicklistener(object: OnSureClicklistener{
                        override fun onSure(brandSelecteds: MutableMap<String, Boolean>) {
                            brands_select.clear()
                            brands_select.putAll(brandSelecteds)
                            select_brandId = ""
                            for (i in arrayBrand.indices) {
                                if (brandSelecteds.containsKey(arrayBrand[i].brandName)) {
                                    if (brandSelecteds[arrayBrand[i].brandName]!!) {
                                        select_brandId += arrayBrand[i].uid + ","
                                    }
                                }
                            }
                            page = 1
                            SearchProduct()
                        }

                    })
                    if (!brandPopupWindow!!.isShowing) {
                        ScreenUtil.showSortPopup(brandPopupWindow, ll_bar)
                    }
                }
                "AddProductToCart" -> {
                    Toast.makeText(this, "添加成功", Toast.LENGTH_SHORT).show()
                    shopCartNum += 1
                    LesvinAppApplication.setShoppingcarNum(shopCartNum)
                    tv_product_list_cart.visibility = View.VISIBLE
//                    tv_product_list_cart.text = shopCartNum.toString() + ""
//                    if (shopCartNum >= 100) {
//                        tv_product_list_cart.text = "99+"
//                        tv_product_list_cart.textSize = 8f
//                    }
                }
                "GetCartProductsCount" -> {
                    val count = body.optInt("Data")
                    shopCartNum = count
                    LogUtils.i("count=$count")
                    if (count > 0) {
                        LesvinAppApplication.setShoppingcarNum(count)
                        tv_product_list_cart.visibility = View.VISIBLE
//                        tv_product_list_cart.text = count.toString() + ""
//                        if (count >= 100) {
//                            tv_product_list_cart.text = "99+"
//                            tv_product_list_cart.textSize = 8f
//                        }
                    } else {
                        tv_product_list_cart.visibility = View.GONE
//                        tv_product_list_cart.text = "0"
                    }
                }
                "GetProductsList_Branner" -> {
                    val App_Banner = body.optJSONArray("Data")
                    if (App_Banner == null || App_Banner.length() <= 0) {
                        rl_viewpager.visibility = View.GONE
                        stickyNavLayout.scrollTo(0, 0)
                        return
                    } else {
                        rl_viewpager.visibility = View.VISIBLE
                    }
                    GetBanner(App_Banner)
                }
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }

    }

    override fun handleErrorMessage(msg: Message): Int {

        try {
            val `object` = msg.obj as JSONObject
            val jsonObject = JSONObject(`object`.optString("body"))
            var method = jsonObject.optString("method")
            if (TextUtils.isEmpty(method)) {
                method = `object`.optString("method")
            }
            if ("SearchUserProduct" == method) {
                refreshLayout.finishLoadMore()
            }
        } catch (e: Exception) {
            e.printStackTrace()
        }

        return super.handleErrorMessage(msg)
    }

    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (requestCode == SEARCH_REQUEST_CODE && resultCode == 5600) {
            clearAttr()
            select_brandId = ""
            click_catalogId = ""
            tv_brand.setTextColor(resources.getColor(R.color.light_deep_gray))
            iv_brand.setImageDrawable(resources.getDrawable(R.drawable.popup_black_down))
            page = 1
            if (data != null && data.extras!!.containsKey("keyword")) {
                q = data.getStringExtra("keyword")
                et_Search.text = q
                ll_search_bac.visibility = View.GONE
                et_Search.visibility = View.VISIBLE
            }
            initData()

        }
//        else if (requestCode == VOICE_REQUEST_CODE) {
//            page = 1
//            if (data != null) {
//                val text = data.getStringExtra("text")
//                et_Search.text = text
//                q = text
//                initData()
//            }
//        }
    }

    override fun onDestroy() {
        super.onDestroy()
        attributePopupWindow = null
        brandPopupWindow = null
    }

//    override fun loginSuccess() {
//        SearchProduct()
//        SearchProductCategory()
//        BrannerData(appoint_content)
//    }

    companion object {

        val SEARCH_REQUEST_CODE = 10000
//        val VOICE_REQUEST_CODE = 1000
        private val defaultOrderType = 7

        fun startActivity(context: Context, catalogId: String, brandId: String, keyword: String, traderid: String, appoint_content: String) {
            val intent = Intent(context, ProductListActivity::class.java)
            intent.putExtra("catalogId", catalogId)
            intent.putExtra("brandId", brandId)
            intent.putExtra("keyword", keyword)
            intent.putExtra("traderid", traderid)
            intent.putExtra("appoint_content", appoint_content)
            context.startActivity(intent)
        }

//        fun startActivity(context: Context, catalogId: String, brandId: String, keyword: String, traderid: String, appoint_content: String, second_content: String) {
//            val intent = Intent(context, ProductListActivity::class.java)
//            intent.putExtra("catalogId", catalogId)
//            intent.putExtra("brandId", brandId)
//            intent.putExtra("keyword", keyword)
//            intent.putExtra("traderid", traderid)
//            intent.putExtra("second_content", second_content)
//            intent.putExtra("appoint_content", appoint_content)
//            context.startActivity(intent)
//        }

        fun startActivity(context: Context, catalogId: String, brandId: String, keyword: String, traderid: String, appoint_content: String, getExtras_couponId:String, getExtras_crashType: String) {
            val intent = Intent(context, ProductListActivity::class.java)
            intent.putExtra("catalogId", catalogId)
            intent.putExtra("brandId", brandId)
            intent.putExtra("keyword", keyword)
            intent.putExtra("traderid", traderid)
//            intent.putExtra("second_content", second_content)
            intent.putExtra("appoint_content", appoint_content)
            intent.putExtra("getExtras_couponId", getExtras_couponId)
            intent.putExtra("getExtras_crashType", getExtras_crashType)
            context.startActivity(intent)
        }
    }

}
