package com.sensu.automall.adapter



import android.content.Context
import android.support.v7.widget.RecyclerView
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView

import com.sensu.automall.R
class DeliveryStatusAdapter : RecyclerView.Adapter<DeliveryStatusAdapter.ViewHolder>{

    private var productName : List<String>
    private var context : Context?

    constructor(context : Context?,productName : List<String>) {
        this.context = context
        this.productName = productName
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): ViewHolder {
        val view = LayoutInflater.from(context!!).inflate(R.layout.item_delivery_name, parent, false)
        return ViewHolder(view)
    }

    override fun getItemCount(): Int {
        return productName.size
    }

    override fun onBindViewHolder(holder: ViewHolder, position: Int) {
        holder.nameTv.text = productName[position]
    }

    fun setData(productName : List<String>){
        this.productName = productName
        notifyDataSetChanged()
    }
    class ViewHolder(itemView:View):RecyclerView.ViewHolder(itemView){

        internal var nameTv: TextView = itemView.findViewById(R.id.nameTv)
        internal var amountTv: TextView = itemView.findViewById(R.id.amountTv)

    }

}