package com.sensu.automall.fragment

import android.os.Bundle
import android.support.v7.widget.LinearLayoutManager
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.sensu.automall.BaseFragment
import com.sensu.automall.R
import com.sensu.automall.URL
import com.sensu.automall.adapter.DeliveryStatusAdapter
import com.sensu.automall.utils.RequestParams
import kotlinx.android.synthetic.main.fragment_delivery_by_status.*
import kotlinx.android.synthetic.main.popup_fast_add.*
import org.json.JSONObject

class DeliveryInfoByStatusFragment : BaseFragment(){

    private lateinit var rootView:View
    private var productName : List<String> = listOf()
    private lateinit var deliveryStatusAdapter: DeliveryStatusAdapter


    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?): View? {
        super.onCreateView(inflater, container, savedInstanceState)
        rootView = inflater.inflate(R.layout.fragment_delivery_by_status, container, false)
        return rootView
    }

    fun initView(){
        statusRv.layoutManager = LinearLayoutManager(context,LinearLayoutManager.VERTICAL,false)

    }

    override fun onActivityCreated(savedInstanceState: Bundle?) {
        super.onActivityCreated(savedInstanceState)

    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        initView()
        deliveryStatusAdapter = DeliveryStatusAdapter(context, productName)
        statusRv.adapter = deliveryStatusAdapter
        QueryDeliveryPackages()

    }

    fun QueryDeliveryPackages(){
        var params: RequestParams = RequestParams()
        params.put("orderNo","921217428213036")
        request(params,"QueryDeliveryPackages", URL.HTTP_URL_QueryDeliveryPackages, true)
    }

    override fun onSuccess(json: String?) {
        super.onSuccess(json)
        var data = JSONObject(json)

    }


    fun getData(){
        productName = listOf("商品11","商品11","商品11","商品11")
        deliveryStatusAdapter.setData(productName)

    }


}
